package com.cit.sellfan.ui.pannelli;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.shared.ui.MarginInfo;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevTextField;

import cit.classi.Clientev21;

public class pannelloIndirizzoEstero extends Panel {
	private VariabiliGlobali l_VG;

	/**
	 * 
	 */
	public pannelloIndirizzoEstero() {
		super();
		this.initUI();
	}

	public void setVariabiliGlobali(VariabiliGlobali variabiliGlobali) {
		l_VG = variabiliGlobali;
	}
	
	public void Nazionalizza() {
		labelNazione.setValue(l_VG.utilityTraduzioni.TraduciStringa("Nazione"));
		labelLocalita.setValue(l_VG.utilityTraduzioni.TraduciStringa("Località"));
		labelIndirizzo.setValue(l_VG.utilityTraduzioni.TraduciStringa("Indirizzo"));
	}

	public void setClienteInUse(Clientev21 clienteInUse) {
		enableFields(false);
		if (clienteInUse == null) {
			return;
		}
		textFieldNazione.setValue(clienteInUse.indirizzo.nazione);
		textFieldCAP.setValue(clienteInUse.indirizzo.cap);
		textFieldLocalita.setValue(clienteInUse.indirizzo.localita);
		textFieldIndirizzo.setValue(clienteInUse.indirizzo.indirizzo);
		textFieldN.setValue(clienteInUse.indirizzo.numerocivico);
	}
/*
	public void setCurrentCliente() {
		if (l_VG.currentCliente == null) {
			return;
		}
		enableFields(false);
		textFieldNazione.setValue(l_VG.currentCliente.indirizzo.nazione);
		textFieldCAP.setValue(l_VG.currentCliente.indirizzo.cap);
		textFieldLocalita.setValue(l_VG.currentCliente.indirizzo.localita);
		textFieldIndirizzo.setValue(l_VG.currentCliente.indirizzo.indirizzo);
		textFieldN.setValue(l_VG.currentCliente.indirizzo.numerocivico);
	}
*/	
	public void enableFields(boolean editEnabled) {
		textFieldCAP.setEnabled(editEnabled);
		textFieldNazione.setEnabled(editEnabled);
		textFieldLocalita.setEnabled(editEnabled);
		textFieldIndirizzo.setEnabled(editEnabled);
		textFieldN.setEnabled(editEnabled);
	}
/*
	public void getCurrentCliente() {
		if (l_VG.currentCliente == null) {
			return;
		}
		l_VG.currentCliente.indirizzo.nazione = textFieldNazione.getValue();
		l_VG.currentCliente.indirizzo.regione = "";
		l_VG.currentCliente.indirizzo.provincia = "";
		l_VG.currentCliente.indirizzo.comune = "";
		l_VG.currentCliente.indirizzo.localita = textFieldLocalita.getValue();
		l_VG.currentCliente.indirizzo.indirizzo = textFieldIndirizzo.getValue();
		l_VG.currentCliente.indirizzo.cap = textFieldCAP.getValue();
		l_VG.currentCliente.indirizzo.numerocivico = textFieldN.getValue();
	}
*/	
	public void getClienteInUse(Clientev21 clienteInUse) {
		if (l_VG.currentCliente == null) {
			return;
		}
		enableFields(false);
		clienteInUse.indirizzo.nazione = textFieldNazione.getValue();
		clienteInUse.indirizzo.regione = "";
		clienteInUse.indirizzo.provincia = "";
		clienteInUse.indirizzo.comune = "";
		clienteInUse.indirizzo.localita = textFieldLocalita.getValue();
		clienteInUse.indirizzo.indirizzo = textFieldIndirizzo.getValue();
		clienteInUse.indirizzo.cap = textFieldCAP.getValue();
		clienteInUse.indirizzo.numerocivico = textFieldN.getValue();
	}
	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.gridLayout = new XdevGridLayout();
		this.labelNazione = new XdevLabel();
		this.textFieldNazione = new XdevTextField();
		this.labelCAP = new XdevLabel();
		this.textFieldCAP = new XdevTextField();
		this.labelLocalita = new XdevLabel();
		this.textFieldLocalita = new XdevTextField();
		this.labelIndirizzo = new XdevLabel();
		this.textFieldIndirizzo = new XdevTextField();
		this.labelN = new XdevLabel();
		this.textFieldN = new XdevTextField();
	
		this.gridLayout.setMargin(new MarginInfo(false));
		this.labelNazione.setValue("Nazione");
		this.labelCAP.setValue("CAP");
		this.labelLocalita.setValue("Localita");
		this.labelIndirizzo.setValue("Indirizzo");
		this.labelN.setValue("N");
	
		this.gridLayout.setColumns(4);
		this.gridLayout.setRows(5);
		this.labelNazione.setSizeUndefined();
		this.gridLayout.addComponent(this.labelNazione, 0, 0);
		this.gridLayout.setComponentAlignment(this.labelNazione, Alignment.TOP_RIGHT);
		this.textFieldNazione.setWidth(100, Unit.PERCENTAGE);
		this.textFieldNazione.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldNazione, 1, 0, 3, 0);
		this.labelCAP.setSizeUndefined();
		this.gridLayout.addComponent(this.labelCAP, 0, 1);
		this.gridLayout.setComponentAlignment(this.labelCAP, Alignment.TOP_RIGHT);
		this.textFieldCAP.setWidth(100, Unit.PERCENTAGE);
		this.textFieldCAP.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldCAP, 1, 1);
		this.labelLocalita.setSizeUndefined();
		this.gridLayout.addComponent(this.labelLocalita, 0, 2);
		this.gridLayout.setComponentAlignment(this.labelLocalita, Alignment.TOP_RIGHT);
		this.textFieldLocalita.setWidth(100, Unit.PERCENTAGE);
		this.textFieldLocalita.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldLocalita, 1, 2, 3, 2);
		this.labelIndirizzo.setSizeUndefined();
		this.gridLayout.addComponent(this.labelIndirizzo, 0, 3);
		this.gridLayout.setComponentAlignment(this.labelIndirizzo, Alignment.TOP_RIGHT);
		this.textFieldIndirizzo.setWidth(100, Unit.PERCENTAGE);
		this.textFieldIndirizzo.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldIndirizzo, 1, 3);
		this.labelN.setSizeUndefined();
		this.gridLayout.addComponent(this.labelN, 2, 3);
		this.gridLayout.setComponentAlignment(this.labelN, Alignment.TOP_RIGHT);
		this.textFieldN.setWidth(100, Unit.PERCENTAGE);
		this.textFieldN.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldN, 3, 3);
		this.gridLayout.setColumnExpandRatio(1, 10.0F);
		this.gridLayout.setColumnExpandRatio(3, 2.0F);
		final CustomComponent gridLayout_vSpacer = new CustomComponent();
		gridLayout_vSpacer.setSizeFull();
		this.gridLayout.addComponent(gridLayout_vSpacer, 0, 4, 3, 4);
		this.gridLayout.setRowExpandRatio(4, 1.0F);
		this.gridLayout.setSizeFull();
		this.setContent(this.gridLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel labelNazione, labelCAP, labelLocalita, labelIndirizzo, labelN;
	private XdevTextField textFieldNazione, textFieldCAP, textFieldLocalita, textFieldIndirizzo, textFieldN;
	private XdevGridLayout gridLayout; // </generated-code>


}
